Diligent Engine API Reference: Diligent::TextureViewDesc Struct Reference

Diligent Engine API Reference

Public Member Functions | Public Attributes | List of all members
Diligent::TextureViewDesc Struct Reference

Texture view description. More...

Inheritance diagram for Diligent::TextureViewDesc:

## Public Member Functions
| TextureViewDesc ()
| Initializes the structure members with default values. More...
bool | operator== (const TextureViewDesc &RHS) const
| Tests if two structures are equivalent. More...
Public Member Functions inherited from Diligent::DeviceObjectAttribs
| DeviceObjectAttribs ()
| Constructor intializes the structure members with default values.

## Public Attributes
TEXTURE_VIEW_TYPE | ViewType
| Describes the texture view type, see Diligent::TEXTURE_VIEW_TYPE for details.
RESOURCE_DIMENSION | TextureDim
| View interpretation of the original texture. For instance, one slice of a 2D texture array can be viewed as a 2D texture. See Diligent::RESOURCE_DIMENSION for a list of texture types. If default value Diligent::RESOURCE_DIM_UNDEFINED is provided, the view type will match the type of the referenced texture.
TEXTURE_FORMAT | Format
| View format. If default value Diligent::TEX_FORMAT_UNKNOWN is provided, the view format will match the referenced texture format.
Uint32 | MostDetailedMip
| Most detailed mip level to use.
Uint32 | NumMipLevels
| Total number of mip levels for the view of the texture. Render target and depth stencil views can address only one mip level. If 0 is provided, then for a shader resource view all mip levels will be referenced, and for a render target or a depth stencil view, one mip level will be referenced.
Uint32 | AccessFlags
| For an unordered access view, allowed access flags. See Diligent::UAV_ACCESS_FLAG for details.
Uint32 | FirstArraySlice
| For a texture array, first array slice to address in the view.
Uint32 | FirstDepthSlice
| For a 3D texture, first depth slice to address the view.
Uint32 | NumArraySlices
| For a texture array, number of array slices to address in the view. Set to 0 to address all array slices.
Uint32 | NumDepthSlices
| For a 3D texture, number of depth slices to address in the view Set to 0 to address all depth slices.
Public Attributes inherited from Diligent::DeviceObjectAttribs
const Char * | Name
| Object name.

## Detailed Description

Texture view description.

## Constructor & Destructor Documentation

## ◆ TextureViewDesc()

Diligent::TextureViewDesc::TextureViewDesc | ( |  | ) |
| inline

Initializes the structure members with default values.

Default values:

Member | Default value
--- | ---
ViewType | TEXTURE_VIEW_UNDEFINED
TextureDim | RESOURCE_DIM_UNDEFINED
Format | TEX_FORMAT_UNKNOWN
MostDetailedMip | 0
NumMipLevels | 0
FirstArraySlice | 0
NumArraySlices | 0
AccessFlags | 0

## Member Function Documentation

## ◆ operator==()

bool Diligent::TextureViewDesc::operator== | ( | const TextureViewDesc & | RHS | ) | const
| inline

Tests if two structures are equivalent.

Parameters

  [in] | RHS | - reference to the structure to perform comparison with

Returns
  - True if all members of the two structures are equal.
  - False otherwise